GET /assets
1 min
GET
https://api.cmp.optimizely.com/v3/assets
typearray<p>Asset type to filter by. Example: <code>type=image&type=video</code></p>
labelarray<p>Label to filter by. <strong>Must be passed as urlencoded string</strong>. Labels that do not exist are ignored. If none of the provided labels exist, filtering is not applied. Example – <code>label=%7B%22group%22%3A%22ee63e3ee43925bb5cc8cd17b817d93ee%22%2C%22values%22%3A%5B%226706efc7828cd6aaedbc0434139cd3e1%22%2C%221f32651216cf2aefcaa08be1ea7dedf1%22%5D%7D</code></p>
fieldsarray<p>List of fields to filter by. <strong>Must be passed as base64 encoded string</strong>. Fields that do not exist are ignored. If none of the provided fields exist, filtering is not applied. Example – <code>fields=Wwp7CiJpZCI6ICI2N2E4NDZhMWM3NzU1YTFwNThpNjh5MzVhIiwKInZhbHVlcyI6IFsiNjdhODQ2YTFjNzc1YWU1YWExYTE0YTA1Il0KfQpd=</code></p>
created_at__fromstring<date-time><p>Date and time as the lower limit to filter assets by <code>created_at</code>, in ISO 8601 UTC format</p>
created_at__tostring<date-time><p>Date and time as the upper limit to filter assets by <code>created_at</code>, in ISO 8601 UTC format</p>
modified_at__fromstring<date-time><p>Date and time as the lower limit to filter assets by <code>modified_at</code>, in ISO 8601 UTC format</p>
modified_at__tostring<date-time><p>Date and time as the upper limit to filter assets by <code>modified_at</code>, in ISO 8601 UTC format</p>
folder_idstringID of the library folder to include assets from
include_subfolder_assetsbooleanIndicates whether assets from subfolders need to be included
search_textstringSearch assets by title or content description
campaign_idstringID of the campaign to include assets from
offsetinteger<p>Starting index of results (zero indexed)</p>
page_sizeintegerNumber of results to return per page
acceptstringGenerated from available response content types
200List of fetched assets
400Client error
401Authorization error
403Permission error
curl --request GET \
--url 'https://api.cmp.optimizely.com/v3/assets?type=article%2Cimage%2Cvideo%2Craw_file%2Cstructured_content&label=array&fields=array&include_subfolder_assets=true&offset=5&page_size=10' \
--header 'accept: application/json'